/**
 * 证书信息
 *
 * @export
 * @interface HRCertificate
 */
export interface HRCertificate {

    /**
     * 证书信息标识
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    hrcertificateid?: any;

    /**
     * 证书名称
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    hrcertificatename?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    createdate?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    updateman?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    createman?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    updatedate?: any;

    /**
     * 员工标识
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    hremployeeid?: any;

    /**
     * 员工姓名
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    hremployeename?: any;

    /**
     * 附件
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    attachment?: any;

    /**
     * 证书编号
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    certificatecode?: any;

    /**
     * 签发机构
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    authorganization?: any;

    /**
     * 签发日期
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    authdate?: any;

    /**
     * 失效日期
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    expiredate?: any;

    /**
     * 注册编号
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    registercode?: any;

    /**
     * 初始注册时间
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    registertime?: any;

    /**
     * 备注
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    memo?: any;

    /**
     * 注册单位ID
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    registerorganizationid?: any;

    /**
     * 注册单位
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    registerorganizationname?: any;

    /**
     * 员工编号
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    employeecode?: any;

    /**
     * 单位
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    organizationname?: any;

    /**
     * 单位ID
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    organizationid?: any;

    /**
     * 员工状态
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    empstate?: any;

    /**
     * 是否有效
     *
     * @returns {*}
     * @memberof HRCertificate
     */
    activeflag?: any;
}